await seam.acs.systems.listCompatibleCredentialManagerAcsSystems({
acs_system_id: "82456f4c-9627-4a27-a426-1b3c50c9871b",
});
/*
[
{
"acs_access_group_count": 5,
"acs_system_id": "dbed811f-a8c7-4dab-a3cb-1a734ebd6ac7",
"connected_account_id": "a94aeed0-1ae0-4e49-9c23-8444c7ceba09",
"connected_account_ids": [
"a94aeed0-1ae0-4e49-9c23-8444c7ceba09"
],
"created_at": "2025-06-15T16:54:17.946425Z",
"errors": [],
"image_alt_text": "Salto KS site Logo",
"image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/acs_systems/salto_ks_site.png&q=75&w=128",
"is_credential_manager": true,
"location": {
"time_zone": "America/New_York"
},
"name": "My Credential Manager",
"warnings": [],
"workspace_id": "172920be-1f4d-45d4-8519-ecc3bdee638f"
}
]
*/{
"acs_systems": [
{
"acs_system_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at": "2023-11-07T05:31:56Z",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"image_alt_text": "<string>",
"image_url": "<string>",
"is_credential_manager": true,
"location": {
"time_zone": "<string>"
},
"name": "<string>",
"warnings": [
{
"created_at": "2023-11-07T05:31:56Z",
"message": "<string>",
"warning_code": "salto_ks_subscription_limit_almost_reached"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acs_access_group_count": 123,
"acs_user_count": 123,
"default_credential_manager_acs_system_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_type": "pti_site",
"external_type_display_name": "<string>",
"system_type": "pti_site",
"system_type_display_name": "<string>",
"visionline_metadata": {
"lan_address": "<string>",
"mobile_access_uuid": "<string>",
"system_id": "<string>"
}
}
]
}Systems
List Compatible Credential Manager ACS Systems
Returns a list of all credential manager systems that are compatible with a specified access system.
GET
/
acs
/
systems
/
list_compatible_credential_manager_acs_systems
await seam.acs.systems.listCompatibleCredentialManagerAcsSystems({
acs_system_id: "82456f4c-9627-4a27-a426-1b3c50c9871b",
});
/*
[
{
"acs_access_group_count": 5,
"acs_system_id": "dbed811f-a8c7-4dab-a3cb-1a734ebd6ac7",
"connected_account_id": "a94aeed0-1ae0-4e49-9c23-8444c7ceba09",
"connected_account_ids": [
"a94aeed0-1ae0-4e49-9c23-8444c7ceba09"
],
"created_at": "2025-06-15T16:54:17.946425Z",
"errors": [],
"image_alt_text": "Salto KS site Logo",
"image_url": "https://connect.getseam.com/_next/image?url=https://connect.getseam.com/assets/images/acs_systems/salto_ks_site.png&q=75&w=128",
"is_credential_manager": true,
"location": {
"time_zone": "America/New_York"
},
"name": "My Credential Manager",
"warnings": [],
"workspace_id": "172920be-1f4d-45d4-8519-ecc3bdee638f"
}
]
*/{
"acs_systems": [
{
"acs_system_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"connected_account_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"created_at": "2023-11-07T05:31:56Z",
"errors": [
{
"error_code": "<string>",
"message": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"image_alt_text": "<string>",
"image_url": "<string>",
"is_credential_manager": true,
"location": {
"time_zone": "<string>"
},
"name": "<string>",
"warnings": [
{
"created_at": "2023-11-07T05:31:56Z",
"message": "<string>",
"warning_code": "salto_ks_subscription_limit_almost_reached"
}
],
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acs_access_group_count": 123,
"acs_user_count": 123,
"default_credential_manager_acs_system_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_type": "pti_site",
"external_type_display_name": "<string>",
"system_type": "pti_site",
"system_type_display_name": "<string>",
"visionline_metadata": {
"lan_address": "<string>",
"mobile_access_uuid": "<string>",
"system_id": "<string>"
}
}
]
}Returns a list of all credential manager systems that are compatible with a specified access system.
Specify the access system for which you want to retrieve all compatible credential manager systems by including the corresponding
acs_system_id in the request body.Authorizations
pat_with_workspaceconsole_session_with_workspaceapi_keysupport_read_only_token
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
ID of the access system for which you want to retrieve all compatible credential manager systems.
Response
OK
Show child attributes
Show child attributes
Was this page helpful?